.tags-group {
    min-width: 900px;
    display: inline-block;
}

.tags-group Select {
    display: inline-flex;
    min-width: 200px;
    max-width: 80%;
}

.tags-group button {
    position: relative;
    float: right;
}